#!/bin/sh

echo "************************************************"

FLASHFS=/flashfs
FLASH_INSTALL=${FLASHFS}/Install
RAM_DIR=/tmp/ram
INSTALL_DIR=${RAM_DIR}/install
RESULT_MAJ="CFG_UPDATE_RESULT=Ok"
cd ${INSTALL_DIR}

echo "Backup de flashfs dans la ram"
BACKUP_DIR="/tmp/ram/backup"
mkdir -p ${BACKUP_DIR}
chmod 777 ${BACKUP_DIR}
cp -R ${FLASHFS}/* ${BACKUP_DIR}

#Demonter flashfs
#echo "Demonter flashfs"
#umount ${FLASHFS}

#Effacer flashfs
#echo "Effacer les fichiers de flashfs"
#rm -rf ${FLASHFS}/test


#Copier les nouveaux fichiers dans flashfs

#Copie des executables des taches applicatives, des scripts de demarrage et d'arret des taches et du service SNMP
echo "Copier les applications de la RAM dans flashfs"
cp *.exe ${FLASHFS}/test/
chmod -R 777 ${FLASHFS}/test/*

cp *.inc ${FLASHFS}/www/
chmod -R 777 ${FLASHFS}/www/*

echo "EC20S software installed dans flashfs"

echo "Verifier integrite des nouveaux fichiers copies"
echo "Si erreurs, recopier le backup"

cp ${INSTALL_DIR}/*.md5 ${FLASHFS}/test
cd ${FLASHFS}/test

for f in *.md5; do 
	echo "Processing ${f} file..."
	CHECKMD5=`md5sum -c ${f} |cut -d' ' -f2`
	
	if [ ${CHECKMD5} == "OK" ]
	then
		echo "OK"
	else
		FILEEXE=`cat ${f}|cut -d' ' -f3`
		echo "${FILEEXE} FAILED" >> ${FLASHFS}/log/maj.log
		cp ${BACKUP_DIR}/test/* ${FLASHFS}/test/
		RESULT_MAJ="CFG_UPDATE_RESULT=Alarm"
		
		touch ${FLASHFS}/log/update.result
		chmod 777 ${FLASHFS}/log/update.result
		echo ${RESULT_MAJ} > ${FLASHFS}/log/update.result
		
		exit 
	fi
done

cp reboot.exe /etc/
chmod 777 /etc/reboot.exe

touch ${FLASHFS}/log/update.result
chmod 777 ${FLASHFS}/log/update.result
echo ${RESULT_MAJ} > ${FLASHFS}/log/update.result

echo "************************************************"
